package com.zjrs.zwnw.sxgl.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.sxgl.blo.SxtjBLO;
import com.zjrs.zwnw.sxgl.bpo.SxtjBPO;
import com.zjrs.zwnw.sxgl.dto.SxtjQueryDTO;
import org.springframework.stereotype.Service;

import jakarta.annotation.Resource;
import java.util.Map;

@Service
public class SxtjBPOimpl extends BPOImpl implements SxtjBPO {
    @Resource
    private SxtjBLO sxtjBLO;

    @Override
    public Map<String, Object> getSxtj(String ssbmmc) {
        return this.sxtjBLO.getSxtj(ssbmmc);
    }

    @Override
    public PageResult querySxtjList(SxtjQueryDTO dto, int page, int rows) {
        return this.sxtjBLO.querySxtjList(dto, page, rows);
    }
}
